Package Details: qt-gtk-platform-plugin 0.2.2-1

Git Clone URL: (read-only)
Package Base: qt-gtk-platform-plugin
Description: GTK platform backend for Qt
Upstream URL:
Licenses: LGPL3
Conflicts: qt-gtk-platform-plugin
Provides: qt-gtk-platform-plugin
Submitter: sirspudd
Maintainer: sirspudd
Last Packager: sirspudd
Votes: 3
Popularity: 0.083311
First Submitted: 2017-09-23 08:01
Last Updated: 2018-01-04 19:43

Dependencies (0)

Required by (0)

Sources (1)

Latest Comments

sirspudd commented on 2018-01-04 19:44

This is now fixed as of tag 0.2.2

sirspudd commented on 2018-01-04 19:20

Updated the tag to 0.2.1 as 0.2.0 was flagged out of date, but this package is known to be broken against Qt 5.10 (as it uses Qt's private API)

Use the qt-gtk-platform-plugin-git package in the interim

sirspudd commented on 2017-09-28 05:42

@gatlinnewhouse: This is fixed by the gtk platform dudes releasing their first tag, and this package adopting it.

sirspudd commented on 2017-09-26 20:16

If you are a Qt Creator user, you can use:

which is patched to actually respect the native system

sirspudd commented on 2017-09-25 20:45


I am moving over to this aur name, which should address:

"ensure package name has a VCS suffix if this is a devel package"

this on the other hand:

":: ensure package version does not mismatch between .SRCINFO and PKGBUILD"

is gonna be hard to meet since I am not going to update .SRCINFO for each and every push to the repo. Can you disable that check in your aur client?

gatlinnewhouse commented on 2017-09-25 20:20

:: Installing qt-gtk-platform-plugin package(s)...
:: qt-gtk-platform-plugin package(s) failed to install.
:: ensure package version does not mismatch between .SRCINFO and PKGBUILD
:: ensure package name has a VCS suffix if this is a devel package

sirspudd commented on 2017-09-24 18:34

@flipflop97 The build is now fixed upstream :D (without requiring modification to the system Qt)

flipflop97 commented on 2017-09-23 21:11

There seem to be some problems with the version generating and building.

==> Starting pkgver()...
fatal: No names found, cannot describe anything.
==> Removing existing $pkgdir/ directory...
==> Starting build()...
Info: creating stash file /home/philip/.cache/pacaur/qt-gtk-platform-plugin/src/gtkplatform/.qmake.stash
cd src/ && ( test -e Makefile || /usr/bin/qmake -o Makefile /home/philip/.cache/pacaur/qt-gtk-platform-plugin/src/gtkplatform/src/ DESTDIR=/home/philip/.cache/pacaur/qt-gtk-platform-plugin/src ) && make -f Makefile
Project ERROR: Could not find feature stack-protector-strong.
make: *** [Makefile:45: sub-src-make_first] Error 3
==> ERROR: A failure occurred in build().
:: failed to build qt-gtk-platform-plugin package(s)